<?php


class WactReflectionPropertyTester {
    static public $prop = 13;
}

class WactReflectionPropertyTestCase extends Wact_Test_Case {

    function testGetDeclaringClass() {
        $reflector = new Wact_Reflection_Class('WactReflectionPropertyTester');
        $property = $reflector->getProperty('prop');
        $class = $property->getDeclaringClass();
        $this->assertIsA($class, 'Wact_Reflection_Class');
        $this->assertEqual($class->getName(), 'WactReflectionPropertyTester');
    }
}    
?>